public class DataManager {
	public static void setDefaultSortedListFactory(String className) {
		SortedListFactory factory = null;
		try {
			factory = (SortedListFactory)(Class.forName(className)).newInstance();
		} catch (InstantiationException e) {
			e.printStackTrace();
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
		} catch (IllegalAccessException e) {
			e.printStackTrace();
		}
		if (factory != null) {
			SortedListFactory.setConcreteSortedListFactory(factory);
		}
	}
}