public abstract class SortedListFactory {
	static SortedListFactory concreteFactory = null;

	public static void setConcreteSortedListFactory(SortedListFactory factory) {
		concreteFactory = factory;
	}

	public static SortedList getInstance() {
		return concreteFactory.newInstance();
	}

	public abstract SortedList newInstance();
}
